### Method

# Clutter Animatable get_initial_state

#### Declaration [src]

    void
    clutter_animatable_get_initial_state (
      ClutterAnimatable* animatable,
      const gchar* property_name,
      GValue* value
    )

#### Description [src]

Retrieves the current state of `property_name` and sets `value` with it.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the animatable property to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  A `GValue` initialized to the type of the property to retrieve.

  The data is owned by the caller of the method.